Spotify Debian / Ubuntu un atvasinājumiem

2013-10-25-185227_1280x800_scrot

Atcerieties, ka tiešsaistes Spotify versija un to var arī izmēģināt Clementine, spēlētājs, kurš spēcīgi sit, tāpēc, ja pēdējam ir nepieciešams Premium konts

Ja vēlaties, izmēģiniet spotify klients Linux šeit ir instrukcijas. Neskatoties uz Spotify teikto, es bez problēmām esmu testējis šo klientu Debian, Ubuntu, Linux Mint un citās. 

1) Pievienojiet krātuvi sources.list

Es to rediģēšu ar nano, jūs izmantojat savu iecienītāko redaktoru, piemēram, Gedit, Pen, Leafpad utt.

sudo nano /etc/apt/sources.list

Mēs pievienojam šādu rindu.

deb http://repository.spotify.com stable non-free

Mēs ietaupām un aizveram.

2) Pievienojam publisko atslēgu.

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 94558F59

3) Mēs atjauninām krātuvi.

sudo apt-get update

4) Mēs instalējam spotify klientu.

sudo apt-get install spotify-client

Un tas arī viss.


Raksta saturs atbilst mūsu principiem redakcijas ētika. Lai ziņotu par kļūdu, noklikšķiniet uz šeit.

33 komentāri, atstājiet savus

Atstājiet savu komentāru

Jūsu e-pasta adrese netiks publicēta. Obligātie lauki ir atzīmēti ar *

*

*

  1. Atbildīgais par datiem: Migels Ángels Gatóns
  2. Datu mērķis: SPAM kontrole, komentāru pārvaldība.
  3. Legitimācija: jūsu piekrišana
  4. Datu paziņošana: Dati netiks paziņoti trešām personām, izņemot juridiskus pienākumus.
  5. Datu glabāšana: datu bāze, ko mitina Occentus Networks (ES)
  6. Tiesības: jebkurā laikā varat ierobežot, atjaunot un dzēst savu informāciju.

  1.   Daniela Riaño teica

    Jautājums
    Vai programma darbojas neatkarīgi no tā, vai ir konts vai nav?
    Ja tagad tas darbojas ar kontu, vai es varu to izveidot no Kolumbijas?
    Jo es saprotu, ka tas nav derīgs tiem, kas nāk no Kolumbijas.

    1.    neysonv teica

      1) jums ir nepieciešams konts, tas tiks izveidots, sasaistot ar facebook
      2) Kolumbijā tas nav pieejams, lai gan ar starpniekserveri esmu ĻOTI pārliecināts, ka pakalpojumu var izmantot bez problēmām. ja jums ir jāizmanto tiešsaistes versija, hroma gadījumā tā tiks palaista no termināla
      hroma pārlūks –proxy-serveris = resursdators: ports
      piemēram, izmēģiniet to
      hroma pārlūks - starpniekserveris = 66.35.68.145: 3127
      šajā lapā jums ir labs pilnvaroto saraksts

  2.   skeptiski teica

    Instalētais Ubuntu 13.10 darbojas nevainojami = D

  3.   edebianīts teica

    Pārbaudot Crunchbang, konsole iemeta:
    <>

    Es to atrisināju, lejupielādējot pakotni no:
    http://ftp.us.debian.org/debian/pool/main/o/openssl/libssl0.9.8_0.9.8o-4squeeze14_i386.deb

    Un tagad redzot tā plusi un mīnusus ... Kaut arī es esmu iemīlējies Gvajadeque vairāk nekā gadu.

    1.    Tuxxx teica

      Tas pats notiek arī Debianā, pakete libssl0.9.8 ir atrodama tikai saspiestā veidā, ieteicams rakstam pievienot datus, jo bez šīs atkarības spotify nevar instalēt.

      Sveicieni

    2.    neysonv teica

      Nu, man būs jāizmēģina gvajadeque, lai redzētu, kā ir XD. paldies par brīdinājumu

  4.   Ričards teica

    Jūs mani nemānāt ... jūs izmantojat VPN, lai izmantotu Spotify 😛

    1.    3000 teica

      Spotify tik tikko nokļuva Meksikā. Citās Latīņamerikas valstīs mums ir jāizmanto VPN.

      1.    Ivan teica

        Un tiek novērtēts, ka tas Meksikā Haha ...
        Ļoti laba lietotne laika pavadīšanai, tai vienkārši jāsasniedz citas vietas ñ.ñ

    2.    neysonv teica

      Es dzīvoju Spānijā, man tas nav vajadzīgs XD

  5.   3000 teica

    Un Ubuntu One? Nē paldies.

    1.    Ričards teica

      Es joprojām dodu priekšroku Grooveshark

      1.    92 teica

        Grooveshark ir haoss, un tam nav klienta ...

  6.   Pablo teica

    Ar Audacious man ir ērti. 🙂

  7.   freebsddick teica

    Tas izskatās interesanti !!

  8.   sveiki teica

    interesanti, vai ir kāda nestabila krātuves versija? Man ir sid, par kuru tas man rada atkarības problēmas

    1.    neysonv teica

      Tas nav oficiālajos krātuvēs, patiesībā tāpēc jums ir jāpievieno ārējs krātuve

  9.   robs teica

    Labs ieraksts!

  10.   Jēzus Izraels Peraless Martiness teica

    Fedorā tas darbojas ļoti labi: B

  11.   Jēzus Izraels Peraless Martiness teica

    Fedorā tas darbojas ļoti labi, tāpat kā Ubuntu uz Debian es nevēlos to noņemt no stabilā xD

  12.   Alus teica

    Vienīgā problēma, kas rodas Spotify operētājsistēmai Linux, ir radio. Vismaz izplatījumā, kuru es to pārbaudīju (Ubuntu), radio nedarbojas. Pretējā gadījumā ideāls!

    Kad jūs nosaucat Klementīnu, neziņas dēļ jautāju: kā Spotify darbojas ar šo spēlētāju?

    Apsveikumi!

  13.   Rolly teica

    Esmu izpildījis norādījumus, bet, mēģinot instalēt, tiek parādīts paziņojums "Spotify-klienta pakotni nevarēja atrast"

    1.    Rodrigo Lopess teica

      Sveiki, es jau varēju to instalēt

      Kļūda “Spotify-klienta pakotni nevarēja atrast”, palaižot terminālā “sudo apt-get install spotify-client”, jo fails acīmredzot vairs nav repozitorijā, vismaz 32 bitu sistēmām

      Meklēšana visur oficiālajā Spotify forumā (https://community.spotify.com/t5/Help-Desktop-Linux-Mac-Windows/Spotify-0-9-17-for-GNU-Linux-and-the-upcoming-1-x-beta/m-p/1134552#M125970) Viņi mums iedod divas saites, lai lejupielādētu lietojumprogrammas klientu, tiešās saites ir:
      http://megasearch.co.nz/438086/spotify-client0-9-4-183-g644e24e-428-1i386-deb
      http://sourceforge.net/projects/slackbuildsdirectlinks/files/spotify32/spotify-client_0.9.4.183.g644e24e.428-1_i386.deb/download

      Ar to jūs lejupielādējat klientu, lai to instalētu, es izmantoju komandu: sudo dpkg –i spotify-client_0.9.4.183.g644e24e.428-1_i386.deb

      Palaižot Spotify konsolē, un tas man nosūta kļūdu (ja to palaižat no ikonas, programma vienkārši netiek palaista):
      "Spotify: kļūda ielādējot koplietojamas bibliotēkas: libgcrypt.so.11: nevar atvērt koplietojamā objekta failu: Nav šāda faila vai direktorija"

      Par laimi šīs kļūdas risinājums ir atrodams pašā Debian lapā, failu var lejupielādēt no:
      https://packages.debian.org/wheezy/i386/libgcrypt11/download

      Instalējiet to šādi: sudo dpkg –i libgcrypt11_1.5.0-5 + deb7u3_i386.deb

      Ar to es velku Spotify uz sava 8 bitu Debian 32

      Manā gadījumā viss darbojās pareizi

      Es ceru, ka tas palīdzēs, jo tā ir atkārtota problēma mums visiem, kas Linux instalē 32 bitos

      Rodrigo Lopess

  14.   mauro teica

    Ļoti labs ieguldījums, paldies! Un paldies arī tiem, kas komentēja neizpildīto atkarību.

  15.   Unatalana teica

    Ar mani notika tas pats, kas rolly

    1.    Rodrigo Lopess teica

      Es ievietoju risinājumu Rolly jautājumā, es ceru, ka tas jums palīdzēs

      Rodrigo Lopess

  16.   Basajaun teica

    Diemžēl Esmu mēģinājis to instalēt lmde2 "betsy", un pēdējā solī
    man saka
    E: Spotify-klienta pakotni nevarēja atrast

    veicot "apt update", sarakstā tiek parādīta spotify krātuve.
    Vai jūs zināt, kāpēc tā var būt

  17.   Germán teica

    Sveiki! Raksts bija ļoti labs, es to varēju instalēt, un tas labi darbojas manā Debian 8 ... (šeit nāk, bet) ... Acīmredzot man ir problēmas ar publisko atslēgu. Kļūda lec man, kad veicu spēju atjaunināšanu, atstāju to zemāk:

    W: Paraksta pārbaudes laikā radās kļūda. Repozitorijs ir novecojis, un tiks izmantoti vecie indeksa faili. GPG kļūda ir: http://repository.spotify.com stabila InRelease: Šos parakstus nevarēja pārbaudīt, jo to publiskā atslēga nav pieejama: NO_PUBKEY 13B00F1FD2C19886

    W: GPG kļūda: http://ppa.launchpad.net precīzs izlaidums: Šos parakstus nevarēja pārbaudīt, jo to publiskā atslēga nav pieejama: NO_PUBKEY A6DCF7707EBC211F
    W: Neizdevās lejupielādēt http://repository.spotify.com/dists/stable/InRelease:
    W: dažus indeksa failus neizdevās lejupielādēt. Tos ignorēja vai to vietā izmantoja vecos.

    Atvainojiet par manu nezināšanu. Nē, es saprotu, ka tas neļauj Spotify atjaunināt pareizi? Es paskaidroju, ka es sekoju apmācībai apakšā, tas ir, es pievienoju publisko atslēgu, kas atrodas iepriekš. Vai ir iespējams nomainīt paroli? un ja jā, vai ir kaut kur, kur es ievietoju pakas nosaukumu (tā teikt) un dodu atslēgu?

    Paldies jau iepriekš! Sveicieni!

      1.    linux2 teica

        Novērsta problēma ar saiti
        jauna krātuves atslēga, un mums viss ir kārtībā

        Paldies!

  18.   juconta teica

    spotify: /lib/x86_64-linux-gnu/libc.so.6: versija GLIBC_2.14' not found (required by spotify)
    spotify: /lib/x86_64-linux-gnu/libc.so.6: version
    GLIBC_2.14 ′ nav atrasts (pieprasa /opt/spotify/spotify-client/Data/libcef.so)
    spotify: /lib/x86_64-linux-gnu/libc.so.6: versija "GLIBC_2.15" nav atrasta (pieprasa /opt/spotify/spotify-client/Data/libcef.so)

    1.    juconta teica

      Es saņēmu iepriekš minēto, ko es daru ???

  19.   migue teica

    kad es to pareizi instalēju, kur tiek saglabāts spotify?